Package org.eclipse.birt.report.model.api.scripts

# Class ConstructorInfo

java.lang.Object
org.eclipse.birt.report.model.api.scripts.ConstructorInfo

All Implemented Interfaces:
  `ILocalizableInfo`, `IMethodInfo`

public class ConstructorInfo extends Object implements IMethodInfo
Represents the method information for both class and element. The class includes the argument list, return type, and whether this method is static or constructor,

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConstructorInfo(Constructor method)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Iterator`
`argumentListIterator()`
Returns the iterator of argument definition.
`IClassInfo`
`getClassReturnType()`
Returns the script type for return.
`String`
`getDisplayName()`
Returns the display name if the resource key of display name is available.
`String`
`getDisplayNameKey()`
Returns the resource key for display name.
`String`
`getJavaDoc()`
Returns the method javadoc.
`String`
`getName()`
Returns the definition name.
`String`
`getReturnType()`
Returns the script type for return.
`String`
`getToolTip()`
Returns the display string for the tool tip of this method.
`String`
`getToolTipKey()`
Returns the resource key for tool tip.
`boolean`
`isConstructor()`
Returns whether this method is constructor.
`boolean`
`isStatic()`
Returns whether this method is static.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstructorInfo

protected ConstructorInfo(Constructor method)
Constructor.

Parameters:
  `method` - the method of java class

## Method Details

### argumentListIterator

public Iterator argumentListIterator()
Returns the iterator of argument definition. Each one is a list that contains `ArgumentInfoList`.

Specified by:
  `argumentListIterator` in interface `IMethodInfo`
Returns:
  iterator of argument definition.

### getToolTipKey

public String getToolTipKey()
Returns the resource key for tool tip.

Specified by:
  `getToolTipKey` in interface `ILocalizableInfo`
Specified by:
  `getToolTipKey` in interface `IMethodInfo`
Returns:
  the resource key for tool tip

### getToolTip

public String getToolTip()
Returns the display string for the tool tip of this method.

Specified by:
  `getToolTip` in interface `ILocalizableInfo`
Specified by:
  `getToolTip` in interface `IMethodInfo`
Returns:
  the user-visible, localized display name for the tool tip of this method.

### getDisplayName

public String getDisplayName()
Description copied from interface: `ILocalizableInfo`
Returns the display name if the resource key of display name is available. Otherwise, return empty string.

Specified by:
  `getDisplayName` in interface `ILocalizableInfo`
Returns:
  the display name

### getDisplayNameKey

public String getDisplayNameKey()
Description copied from interface: `ILocalizableInfo`
Returns the resource key for display name.

Specified by:
  `getDisplayNameKey` in interface `ILocalizableInfo`
Returns:
  the resource key for display name

### getName

public String getName()
Description copied from interface: `ILocalizableInfo`
Returns the definition name.

Specified by:
  `getName` in interface `ILocalizableInfo`
Returns:
  the name of this definition

### getJavaDoc

public String getJavaDoc()
Description copied from interface: `IMethodInfo`
Returns the method javadoc.

Specified by:
  `getJavaDoc` in interface `IMethodInfo`
Returns:
  the javadoc

### getReturnType

public String getReturnType()
Description copied from interface: `IMethodInfo`
Returns the script type for return.

Specified by:
  `getReturnType` in interface `IMethodInfo`
Returns:
  the script type for return

### isConstructor

public boolean isConstructor()
Description copied from interface: `IMethodInfo`
Returns whether this method is constructor.

Specified by:
  `isConstructor` in interface `IMethodInfo`
Returns:
  true, if this method is constructor

### isStatic

public boolean isStatic()
Description copied from interface: `IMethodInfo`
Returns whether this method is static.

Specified by:
  `isStatic` in interface `IMethodInfo`
Returns:
  true if this method is static

### getClassReturnType

public IClassInfo getClassReturnType()
Description copied from interface: `IMethodInfo`
Returns the script type for return.

Specified by:
  `getClassReturnType` in interface `IMethodInfo`
Returns:
  the script type for return